package com.unis.sxzcl.widget.menu;


import android.graphics.drawable.Drawable;

import androidx.annotation.DrawableRes;
import androidx.annotation.StringRes;

import com.unis.sxzcl.R;

/**
 * Created by mq on 2017/10/18 0018.
 */

public class SimpleDownModel {

    //文字
    private String text;
    private int textRes = 0;
    //左侧图片
    private Drawable leftDra;
    private int leftDraRes = 0;
    //右侧图片
    private Drawable rightDra;
    private int rightDraRes = 0;

    private boolean leftAnimation;//是否开启左侧图标动画
    private boolean rightAnimation;//是否开启右侧图标动画

    public SimpleDownModel(String text) {
        this.text = text;
        this.rightDraRes = R.drawable.ic_down_normal;
        this.rightAnimation = true;
    }

    public SimpleDownModel setText(String text) {
        this.text = text;
        return this;
    }

    public String getText() {
        return text;
    }

    public SimpleDownModel setTextRes(@StringRes int resId) {
        this.textRes = resId;
        return this;
    }

    public int getTextRes() {
        return textRes;
    }

    public Drawable getLeftDra() {
        return leftDra;
    }

    public SimpleDownModel setLeftDra(Drawable leftDra) {
        this.leftDra = leftDra;
        return this;
    }

    public int getLeftDraRes() {
        return leftDraRes;
    }

    public SimpleDownModel setLeftDraRes(@DrawableRes int resId) {
        this.leftDraRes = resId;
        return this;
    }

    public Drawable getRightDra() {
        return rightDra;
    }

    public SimpleDownModel setRightDra(Drawable rightDra) {
        this.rightDra = rightDra;
        return this;
    }

    public int getRightDraRes() {
        return rightDraRes;
    }

    public SimpleDownModel setRightDraRes(@DrawableRes int resId) {
        this.rightDraRes = resId;
        return this;
    }

    public boolean isLeftAnimation() {
        return leftAnimation;
    }

    public void setLeftAnimation(boolean leftAnimation) {
        this.leftAnimation = leftAnimation;
    }

    public boolean isRightAnimation() {
        return rightAnimation;
    }

    public void setRightAnimation(boolean rightAnimation) {
        this.rightAnimation = rightAnimation;
    }

}
